
/* Portions Copyright (c) 1995,1996,1997 by Trusted Information Systems, Inc.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND TRUSTED INFORMATION SYSTEMS DISCLAIMS
 * ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL TRUSTED INFORMATION 
 * SYSTEMS BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 *
 *
 * Trusted Information Systems, Inc. has received approval from the
 * United States Government for export and reexport of TIS/DNSSEC
 * software from the United States of America under the provisions of
 * the Export Administration Regulations (EAR) General Software Note
 * (GSN) license exception for mass market software.  Under the
 * provisions of this license, this software may be exported or
 * reexported to all destinations except for the embargoed countries of
 * Cuba, Iran, Iraq, Libya, North Korea, Sudan and Syria.  Any export
 * or reexport of TIS/DNSSEC software to the embargoed countries
 * requires additional, specific licensing approval from the United
 * States Government. 
 */




#ifndef DNS_CRYPTO_H
#define DNS_CRYPTO_H
/* $Header: /home/ogud/sec_bind/dnssec_lib/RCS/dns_crypto.h,v 1.7 1996/10/31 19:37:59 ogud Exp $ */

/* Declare dnssec_lib specific constants */
#define RAW_KEY_SIZE 8192        /* large enough to store any key */
#define KEY_FILE_FORMAT "1.0"

/* Delcare dnssec_lib specific macros */
#ifndef SAFE_FREE
#define SAFE_FREE(a)      memset(a,0, sizeof(* a)), free(a), a=NULL
#endif


/* Function declarations */
/* from file prandom.c */
void   prandom           __P(( void *, int (*)(void *, u_char *, int))); 
/* from file support.c */
int    calculate_bits    __P(( u_char *, int));
int    get_passwd        __P((u_char *, char *, int));
int    read_str          __P(( char **, u_char *, int));
int    verify_str        __P(( char **, char *));
int    write_str         __P(( u_char *,  char *, char *, int));

/* include crypto package specific files */ 
#ifdef RSAREF
#include "rsaref_link.h"
#endif  /* RSAREF */

#endif /* DNS_CRYPTO_H */
